# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by SEACASProj/SEACASExomatlab clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
if (SEACASExomatlab_CONFIG_INCLUDED)
  return()
endif()
set(SEACASExomatlab_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
if (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  get_filename_component(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  set(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
endif()


## ---------------------------------------------------------------------------
## Compilers used by SEACASProj/SEACASExomatlab build
## ---------------------------------------------------------------------------

set(SEACASExomatlab_CXX_COMPILER "D:/a/msys64/ucrt64/bin/c++.exe")

set(SEACASExomatlab_C_COMPILER "D:/a/msys64/ucrt64/bin/cc.exe")

set(SEACASExomatlab_Fortran_COMPILER "gfortran")
# Deprecated!
set(SEACASExomatlab_FORTRAN_COMPILER "gfortran") 


## ---------------------------------------------------------------------------
## Compiler flags used by SEACASProj/SEACASExomatlab build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASExomatlab_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(SEACASExomatlab_CXX_FLAGS [[  -Wall -Wunused -pedantic ]])

set(SEACASExomatlab_C_FLAGS [[  -Wall -Wunused -pedantic -std=c11 ]])

set(SEACASExomatlab_Fortran_FLAGS [[ ]])
# Deprecated
set(SEACASExomatlab_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASExomatlab_EXTRA_LD_FLAGS [[-lpthread]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASExomatlab_SHARED_LIB_RPATH_COMMAND "/ucrt64/lib")
set(SEACASExomatlab_BUILD_SHARED_LIBS "YES")

set(SEACASExomatlab_LINKER D:/a/msys64/ucrt64/bin/ld.exe)
set(SEACASExomatlab_AR D:/a/msys64/ucrt64/bin/ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASExomatlab_INSTALL_DIR "/ucrt64")

## List of package include dirs
set(SEACASExomatlab_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../include")

## List of package library paths
set(SEACASExomatlab_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../lib")

## List of package libraries
set(SEACASExomatlab_LIBRARIES "suplib_cpp;suplib_c;io_info_lib;Ionit;Iotr;Iohb;Iogs;Iotm;Iogn;Iovs;Ioex;Ioss;exodus;zoltan;simpi")

## Specification of directories for TPL headers
set(SEACASExomatlab_TPL_INCLUDE_DIRS "D:/a/msys64/ucrt64/include;D:/a/msys64/ucrt64/include;D:/a/msys64/ucrt64/include")

## Specification of directories for TPL libraries
set(SEACASExomatlab_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(SEACASExomatlab_TPL_LIBRARIES "D:/a/msys64/ucrt64/lib/libmetis.dll.a;D:/a/msys64/ucrt64/lib/libnetcdf.dll.a;D:/a/msys64/ucrt64/lib/libhdf5.dll.a;D:/a/msys64/ucrt64/lib/libhdf5_hl.dll.a")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASExomatlab_MPI_LIBRARIES "")
set(SEACASExomatlab_MPI_LIBRARY_DIRS "")
set(SEACASExomatlab_MPI_INCLUDE_DIRS "")
set(SEACASExomatlab_MPI_EXEC "")
set(SEACASExomatlab_MPI_EXEC_MAX_NUMPROCS "")
set(SEACASExomatlab_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(SEACASExomatlab_PACKAGE_LIST "SEACASSuplibCpp;SEACASSuplibC;SEACASIoss;SEACASExodus;Zoltan")

## The TPLs enabled for this project
set(SEACASExomatlab_TPL_LIST "DLlib;METIS;Netcdf")


# Include configuration of dependent packages
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASSuplibCpp/SEACASSuplibCppConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASSuplibC/SEACASSuplibCConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASIoss/SEACASIossConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus/SEACASExodusConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Zoltan/ZoltanConfig.cmake")

